{% extends 'template/bootstrap_form_base.html.twig' %}

{% block title %}Lecturer Survey - {{ parent() }}{% endblock %}

{% block body %}
    <div class="container mt-6">
        <div class="box">
            {% if form.modules is not empty %}
                {{ form_start(form) }}
                <h1 class="h1 mt-4 mb-4">Lecturer Survey</h1>

                {{ form_row(form.fullName) }}

                {{ form_row(form.email) }}

                <p>
                    Please select all modules that you are responsible for.
                    For each selected module fill out its details.
                </p>

                <h3 class="h3 mt-4 mb-4">Modules</h3>
                {% if not form.modules.vars.valid %}
                    <div class="mt-4 mb-4">
                        {{ form_errors(form.modules) }}
                    </div>
                {% endif %}
                {% for moduleField in form.modules %}
                    <div class="module-block">
                        {{ form_row(moduleField.children.selected, {
                            'label': moduleField.vars.data.name,
                            'label_attr': { 'class': 'module-label' },
                        }) }}
                        <div class="conditional-block">
                            {{ form_row(moduleField.children.numberOfStudents) }}
                            <div class="form-group row">
                                <label class="col-form-label col-sm-2">
                                    Expected number of students for each flavour
                                </label>
                                <div class="container col-sm-10">
                                    <div class="row">
                                        {% for flavourField in moduleField.flavours %}
                                            <div class="col-3">
                                                <div>{{ flavourField.vars.data.flavour }}</div>
                                                <div>{{ form_widget(flavourField.children.numberOfStudents) }}</div>
                                                <div>{{ form_errors(flavourField.children.numberOfStudents) }}</div>
                                            </div>
                                        {% endfor %}
                                    </div>
                                    {{ form_errors(moduleField.flavours) }}
                                    {{ form_help(moduleField.flavours) }}
                                </div>
                            </div>
                            {{ form_row(moduleField.children.studentsApproached, {
                                'attr': { 'rows': 5, 'cols': 50 }
                            }) }}
                            {{ form_row(moduleField.children.postgraduateStudentsRequired, {
                                'label': 'Ratio of postgraduate students required',
                            }) }}
                            {{ form_row(moduleField.children.notes, {
                                'attr': { 'rows': 5, 'cols': 50 }
                            }) }}
                            <hr/>
                        </div>
                    </div>
                {% endfor %}

                <div class="mt-6"></div>

                {{ form_end(form) }}
            {% else %}
                Timetable entries must be <a href="{{ path('admin_app_module_import') }}">imported</a> first by an
                administrator.
            {% endif %}
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('lecturer-survey') }}
{% endblock %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('lecturer-survey') }}
{% endblock %}
